org.apache.cassandra.db

## Interface DeletionPurger

    public interface DeletionPurger

### Field Summary

Fields
`static DeletionPurger` `PURGE_ALL`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default boolean` `shouldPurge(DeletionTime dt)`
`default boolean` `shouldPurge(LivenessInfo liveness, int nowInSec)`
`boolean` `shouldPurge(long timestamp, int localDeletionTime)`

### Field Detail

#### PURGE_ALL

    static final DeletionPurger PURGE_ALL

### Method Detail

#### shouldPurge

    boolean shouldPurge(long timestamp,
                        int localDeletionTime)

#### shouldPurge

    default boolean shouldPurge(DeletionTime dt)

#### shouldPurge

    default boolean shouldPurge(LivenessInfo liveness,
                                int nowInSec)